Debian Bug report logs - #490956
ITP: libconfig-augeas-perl -- Edit configuration files through Augeas C library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Dominique Dumont <domi@komarr.grenoble.hp.com>

Date: Tue, 15 Jul 2008 15:09:01 UTC

Owned by: bureado@debian.org

Severity: wishlist

Fixed in version libconfig-augeas-perl/0.201-1

Done: Jose Parrella <bureado@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#490956; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Dominique Dumont <domi@komarr.grenoble.hp.com>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominique Dumont <domi@komarr.grenoble.hp.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: libconfig-augeas-perl -- Edit configuration files through Augeas C library
Date: Tue, 15 Jul 2008 17:05:43 +0200
Package: wnpp
Severity: wishlist


* Package name    : libconfig-augeas-perl
  Version         : 0.201
  Upstream Author : Dominique Dumont <ddumont@cpan.org>
* URL             : http://search.cpan.org/perldoc?Config::Augeas
* License         : LGPL
  Programming Lang: C, Perl
  Description     : Edit configuration files through Augeas C library

Augeas is a library and command line tool that focuses on the most
basic problem in handling Linux configurations programmatically:
editing actual configuration files in a controlled manner.

To that end, Augeas exposes a tree of all configuration settings
(well, all the ones it knows about) and a simple local API for
manipulating the tree. Augeas then modifies underlying configuration
files according to the changes that have been made to the tree; it
does as little modeling of configurations as possible, and focuses
exclusively on transforming the tree-oriented syntax of its public API
to the myriad syntaxes of individual configuration files.

This module provides an object oriented Perl interface for Augeas
configuration edition library with a more "perlish" API than Augeas C
counterpart.

[ Note: most of the description was snatched from Augeas web site 
http://augeas.net ]

Config::Augeas build depends on libaugeas-dev

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-2-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.utf8)
Shell: /bin/sh linked to /bin/bash




Changed Bug title to `ITP: libconfig-augeas-perl -- Edit configuration files through Augeas C library' from `RFP: libconfig-augeas-perl -- Edit configuration files through Augeas C library'. Request was from Jose Parrella <bureado@debian.org> to control@bugs.debian.org. (Tue, 22 Jul 2008 05:57:01 GMT) Full text and rfc822 format available.

Changed Bug title to `ITP: libconfig-augeas-perl -- Edit configuration files through Augeas C library' from `ITP: libconfig-augeas-perl -- Edit configuration files through Augeas C library'. Request was from Jose Parrella <bureado@debian.org> to control@bugs.debian.org. (Tue, 22 Jul 2008 05:57:03 GMT) Full text and rfc822 format available.

Owner recorded as bureado@debian.org. Request was from Jose Parrella <bureado@debian.org> to control@bugs.debian.org. (Tue, 22 Jul 2008 05:57:04 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 22 Jul 2008 08:06:08 GMT) Full text and rfc822 format available.

Reply sent to Jose Parrella <bureado@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Dominique Dumont <domi@komarr.grenoble.hp.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #18 received at 490956-close@bugs.debian.org (full text, mbox):

From: Jose Parrella <bureado@debian.org>
To: 490956-close@bugs.debian.org
Subject: Bug#490956: fixed in libconfig-augeas-perl 0.201-1
Date: Wed, 30 Jul 2008 17:56:07 +0000
Source: libconfig-augeas-perl
Source-Version: 0.201-1

We believe that the bug you reported is fixed in the latest version of
libconfig-augeas-perl, which is due to be installed in the Debian FTP archive:

libconfig-augeas-perl_0.201-1.diff.gz
  to pool/main/libc/libconfig-augeas-perl/libconfig-augeas-perl_0.201-1.diff.gz
libconfig-augeas-perl_0.201-1.dsc
  to pool/main/libc/libconfig-augeas-perl/libconfig-augeas-perl_0.201-1.dsc
libconfig-augeas-perl_0.201-1_i386.deb
  to pool/main/libc/libconfig-augeas-perl/libconfig-augeas-perl_0.201-1_i386.deb
libconfig-augeas-perl_0.201.orig.tar.gz
  to pool/main/libc/libconfig-augeas-perl/libconfig-augeas-perl_0.201.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 490956@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jose Parrella <bureado@debian.org> (supplier of updated libconfig-augeas-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 22 Jul 2008 01:08:31 -0430
Source: libconfig-augeas-perl
Binary: libconfig-augeas-perl
Architecture: source i386
Version: 0.201-1
Distribution: unstable
Urgency: low
Maintainer: Jose Parrella <bureado@debian.org>
Changed-By: Jose Parrella <bureado@debian.org>
Description: 
 libconfig-augeas-perl - Perl module which allows to edit configuration files through Auge
Closes: 490956
Changes: 
 libconfig-augeas-perl (0.201-1) unstable; urgency=low
 .
   * Initial Release (Closes: #490956)
Checksums-Sha1: 
 aca11744e260cdfe85978edb8a2b4261d2193eaa 1174 libconfig-augeas-perl_0.201-1.dsc
 7d0d5720c9cebce3c21f23a12efe69c95df7069e 47355 libconfig-augeas-perl_0.201.orig.tar.gz
 5d4c84db3f31b8580f29787ba98d3249ec94d7c1 2017 libconfig-augeas-perl_0.201-1.diff.gz
 556b88d008c2ed406f9f7289914109ebc7a2b500 18034 libconfig-augeas-perl_0.201-1_i386.deb
Checksums-Sha256: 
 3b871dda0bbcf99f372511987d8a082c424412fe1947197979eba061b6acf0cf 1174 libconfig-augeas-perl_0.201-1.dsc
 955ea4970c1e6148a892aff40876b2eae941bec16be43c10509ee731e9b1d83c 47355 libconfig-augeas-perl_0.201.orig.tar.gz
 a56ea7d41f00ae6dcd80f8d6a066c7d3f2333f8f00a582902cce306dc6824152 2017 libconfig-augeas-perl_0.201-1.diff.gz
 a2b2e61b7eecb123bbcbadc38e1a5e8eca03f3a5f6fd901c5fe75b31108622e9 18034 libconfig-augeas-perl_0.201-1_i386.deb
Files: 
 0684256f345ed7b112088a31309e5165 1174 perl optional libconfig-augeas-perl_0.201-1.dsc
 54e0f51ad0c9f148c828b2c2b033a13c 47355 perl optional libconfig-augeas-perl_0.201.orig.tar.gz
 678caf5ade518f26ffadc01b38d5ad96 2017 perl optional libconfig-augeas-perl_0.201-1.diff.gz
 2cb8a1eb5ba48841365f8c97043c1113 18034 perl optional libconfig-augeas-perl_0.201-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkiFf6UACgkQUWAsjQBcO4JzkgCfYsub5WF6UC2rriaEqunygEpT
MAkAnAttqY54B2MqvN58hQkM13/FkwKg
=zEgQ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 28 Aug 2008 07:34:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 11:06:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.